Listar etapas disponíveis
curl --request GET \
--url https://api.olie.ai/api/management/get-available-steps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/get-available-steps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/get-available-steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"funnels": [
{
"id": 12,
"name": "Comercial",
"frame_id": "019aeaa3-2778-73ec-8f8d-59d06cc59dca",
"condition": "active",
"allow_multi_step": false,
"form_id": null,
"allow_execution": true,
"steps": [
{
"id": 128,
"name": "Qualificação",
"project_funnel_id": 12,
"form_id": null,
"allow_execution": true,
"checklists": [
{
"id": 7,
"name": "Confirmar orçamento com o cliente",
"info": null,
"funnel_step_id": 128,
"required": true,
"order": 1
}
]
}
],
"tags": [
{
"id": 45,
"name": "Urgente",
"color": "#E53935",
"project_funnel_id": 12
}
],
"funnel_status": [
{
"id": 9,
"name": "Ganho",
"color": "#43A047",
"project_funnel_id": 12
}
]
}
]
}funnel-steps
Listar etapas disponíveis
Lista os funis da conta com suas etapas, etiquetas e status, para alimentar seletores de destino em telas de movimentação, automação e filtros. Os parâmetros id e search filtram etapas, etiquetas e status ao mesmo tempo e devolvem apenas os funis que tiverem alguma correspondência — id tem precedência sobre search. Os conceitos estão em Etapas do funil e Etiquetas, status e previsão.
GET
/
api
/
management
/
get-available-steps
Listar etapas disponíveis
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Termo buscado no nome da etapa, da etiqueta e do status. Ignorado quando id é informado.
ID de uma etapa, etiqueta ou status específico. Retorna somente o funil dono do item.
Was this page helpful?